Arduino

Reference Language | Libraries | Comparison | Changes

SD

## open()

#### Description

Opens a file on the SD card. If the file is opened for writing, it will be created if it doesn't already exist (but the directory containing it must already exist).

#### Syntax

SD.open(filepath)
SD.open(filepath, mode)

#### Parameters

filename: the name the file to open, which can include directories (delimited by forward slashes, /) - char *

mode (optional): the mode in which to open the file, defaults to FILE_READ - byte. one of:

- FILE_READ: open the file for reading, starting at the beginning of the file.
- FILE_WRITE: open the file for reading and writing, starting at the end of the file.

#### Returns

a File object referring to the opened file; if the file couldn't be opened, this object will evaluate to false in a boolean context, i.e. you can test the return value with "if (f)".

#### See also

- File: close()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes